## 更新记录
1. 2024-10-21 
   - 修改了自动化测试脚本架构，使用PO模式，将共有方法封装在base目录下，任何模块都可以进行调用。
   - 将测试数据csv为文件统一放在测试数据目录下，并标注所属模块功能。
   - 将驱动加载方式改为更加灵活的自动下载方式，避免其他人员使用时手动下载驱动。
   - 补充安卓信息模块的Mqtt主题上报以及接收脚本，但暂时还未与实际mqtt主题进行调试，需要先整理出所有的mqtt主题，再进行代码调试。
2. 2024-10-22
   - 补充安卓信息模块的Mqtt主题上报以及接收脚本，但目前安卓信息上报后系统界面仍显示为离线。需进一步了解业务流后进行调试。后续完整多个安卓信息上报实现大量设备同时在线的功能验证。
   - 将安卓信息上报的MQTT相关函数封装到base目录下，方便后续调用以及维护管理。
   - 将MQTT上报消息通过csv进行读取，方便后续维护。
3. 2024-10-23
   - 优化安卓信息模块代码，MQTT一次性上报csv文件中的每行数据，并重复执行上报。
   - 了解清楚安卓信息的状态判断，后续将调试redis连接以及将键值对存入redis。
4. 2024-10-24
   - 优化MQTT底层方法，通过判断topic的值来发送不同的消息体。
   - 优化安卓信息上报.py脚本通过读配置文件中的topic，调用build_message时传入topic进行主题判断。后续方便进行MQTT主题与消息体的管理。
   - 补充毫米波雷达数据上报数据，毫米波设备的device_id需要与实际设备匹配才行。
   - 优化安卓信息上报.py脚本通过读配置文件中的topic，调用build_message时传入topic进行主题判断。后续方便进行MQTT主题与消息体的管理。
   - 修改提交git时代码中出现了很多非法字符的问题。
5. 2024-10-28
   - 优化了Mqtt_Send中封装的函数，补充异常处理以及日志优化。
6. 2024-11-02
   - 将原有pytest框架代码改为hytest框架使用，优化了脚本执行效率，并对应增加异常处理。
   - MQTT相关模块目前调整了Mqtt_Send.py文件中封装的方法优化，增加异常处理。处理了登录成功断言失败的问题。
   - 补充用户管理模块的新增用户部分代码，当前存在新增界面弹窗后定位失败问题。
7. 2024-11-04
   - 将用户管理模块的代码进行重构，将新增用户、删除用户、修改用户等公用的操作封装到base目录下，方便后续管理。
   - 使用元素定位插件进行定位，解决定位失败的问题。
   - 测试报告中补充用例截图。
   - 完成毫米波雷达的模拟数据上报，系统界面根据上报信息来回显，目前只造了100个模拟数据。
8. 2024-11-05
   - 完成用户管理模块的新增用户、删除用户、用户查询。补充脚本注释信息。
9. 2024-11-06
   - 完成用户管理模块的主流程代码。优化ddt_cases的读取方式，从csv中读取测试数据。并且将csv写入ddt_cases的代码封装成函数，后续方便管理。调试安卓信息MQTT上报没有成功的问题。问题已解决。
   - 优化ddt_cases的读取方式，从csv中读取测试数据。并且将csv写入ddt_cases的代码封装成函数，后续方便管理。
   - 调试安卓信息MQTT上报没有成功的问题。问题已解决。
10. 2024-11-07
   - 补充MQTT模块的README文档。
   - 补充脚本执行的命令注释。
11. 2024-11-08
   - 优化封装好的SELENIUM_LOG_SCREEN函数，增加三个参数用来指定截屏文件存放路径以及截屏文件名称。
12. 2024-11-11
   - 补充部门管理模块脚本，目前输出了部门新增、部门删除、部门编辑、部门查询。部门编辑还存在问题，待解决。
   - 测试调用钉钉机器人发送消息接口，调用失败，根据接口文档排查是由于webhook地址缺少拼接的密钥和时间戳导致，后续进一步验证。
   - 优化登录模块的脚本，使用hytest框架形式。
13. 2024-11-13
   - 已将部门管理、用户管理模块完全输出完成，部门编辑存在定位失败问题，暂时没排查出来。
   - 输出会议室管理相关模块的脚本，当前已输出功能管理模块的新增与编辑功能代码。
   - 封装正则表达式函数用来判断密码的字符格式。优化代码的可维护性。
14. 2024-11-14
   - 输出功能管理模块中的功能查询、功能删除相关代码。
   - 输出区域管理模块中的区域新增、区域删除相关代码。
   - 调整base类中封装的get_notify_text函数，调整传参类型，优化代码的可维护性，减少代码冗余。
   - 输出会议室管理模块中的会议室新增代码，待后续完善。
15. 2024-11-18
   - 输出会议室管理模块下的会议室新增、会议室删除、会议室查询的代码处理。剩余会议室编辑未输出。
16. 2024-11-19
   - 输出会议室管理模块下的会议室编辑代码处理，增加注释。
   - 补充完善当前已完成模块的脚本执行指令。
   - 输出会议预定代码，预约主流程已完成。
17. 2024-11-20
   - 排查驱动加载失败问题，问题由浏览器驱动与当前浏览器版本不同导致，已优化代码为自动根据浏览器版本下载对应驱动。
   - 补充关于定制化项目的脚本路径，补充工商银行查询停车缴费系统数据的代码。
   - 优化会议预约的脚本，增加预约类型、消息提醒、通知方式以及是否创建模板的代码判断，根据对应需求创建对应类型的会议。
   - 输出会议修改代码，增加预约类型的判断，处理对于周期会议的修改特殊处理。会议议题还需要补充完善。